<?php

    // Initialize the session
    session_start();
    
    // Check if the user is logged in, if not then redirect him to login page
    if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
        header("location: index.php");
        exit;
    }

?>

<html>
 <head>
  <title>Portal - Guaçu Digital - Admin</title>
  <script src="../js/jquery.min.js"></script>
  <link rel="stylesheet" href="../css/bootstrap.min.css" />
  <script src="../js/jquery.dataTables.min.js"></script>
  <script src="../js/dataTables.bootstrap.min.js"></script>  
  <link rel="stylesheet" href="../css/dataTables.bootstrap.min.css" />
  <script src="../js/bootstrap.min.js"></script>
  <style>
   body
   {
    margin:0;
    padding:0;
    background-color:#f1f1f1;
   }
   .box
   {
    width:1280px;
    padding:20px;
    background-color:#fff;
    border:1px solid #ccc;
    border-radius:5px;
    margin-top:25px;
   }
  </style>
 </head>
 <body>
  <div class="container box">
   <h1 align="center"></h1>
   <br />
   <div class="table-responsive">
    <br />
    <div align="right">     
     <button type="button" id="add_button" data-toggle="modal" data-target="#buttonModal" class="btn btn-info btn-lg">Adicionar Botão</button>
    </div>
    <br /><br />

    <table id="button_data" class="table table-bordered table-striped">
     <thead>
      <tr>
       <th width="5%">Icone</th>
       <th width="10%">Rotulo</th>
       <th width="20%">Tags</th>
       <th width="34%">Url</th>
       <th width="5%">Grupo</th>
       <th width="5%">Editar</th>
       <th width="5%">Remover</th>
      </tr>
     </thead>
    </table>
    
   </div>
  </div>
 </body>
</html>


<div id="buttonModal" class="modal fade">
	<div class="modal-dialog">
	  <form method="post" id="button_form" enctype="multipart/form-data">

		   <div class="modal-content">

				<div class="modal-header">
				 <button type="button" class="close" data-dismiss="modal">&times;</button>
				 <h4 class="modal-title">Adicionar Botão</h4>
				</div>

				<div class="modal-body">
					<label>Rotulo do botão:</label>
					<input type="text" name="label" id="label" class="form-control" />
					<br />

					<label>URL do Botão:</label>
					<input type="text" name="url" id="url" class="form-control" />
					<br />
					
					<label>Tags:</label>
					<br />
					<textarea name="tags" id="tags" rows="5" cols="78">Exemplo(boleto,arrecadação...)</textarea>
					<br />
					<br />

					<label for="categoria">Grupo:</label>
					<br />
					<select name="categoria" id="categoria">

						<?php
                            // Replace 'your_database.db' with the path to your SQLite database file
                            $dbname = '../database/digital.db';
                            
                            try {
                                // Create a new SQLite PDO connection
                                $conn = new PDO("sqlite:$dbname");
                                $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
                            
                                // Consulta para obter os grupos da tabela "grupo"
                                $sqlGrupos = "SELECT * FROM groups";
                                $resultGrupos = $conn->query($sqlGrupos);
                                
                            
                                // Laço para imprimir os grupos e as imagens relacionadas a eles
                                if (count($resultGrupos) > 0) {
                                    foreach ($resultGrupos as $rowGrupo) {
                                        echo '<option value="' . $rowGrupo["id_group"] . '" class="form-control">' . $rowGrupo["name"] . '</option>';
                                    }
                                } else {
                                    echo "Nenhum grupo encontrado na tabela.";
                                }
                            
                                // Close the database connection (optional, as PDO closes automatically when the script ends)
                                $conn = null;
                            } catch (PDOException $e) {
                                die("Connection failed: " . $e->getMessage());
                            }
                        ?>          
						
					</select>

					<br />
					<br />

					<label>Escolher imagem</label>
					<input type="file" name="icon_image" id="icon_image" />
					<span id="icon_uploaded_image"></span>
				</div>

				<div class="modal-footer">
					<input type="hidden" name="id_button" id="id_button" />
					<input type="hidden" name="operation" id="operation" />
					<input type="submit" name="action" id="action" class="btn btn-success" value="Add" />
					<button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
				</div>

		   </div>
	  </form>
	</div>
</div>


<script type="text/javascript" language="javascript" >
$(document).ready(function(){

 $('#add_button').click(function(){
  $('#button_form')[0].reset();
  $('.modal-title').text("Adicionar Botão");
  $('#action').val("Add");
  $('#operation').val("Add");
  $('#icon_uploaded_image').html('');
 }); 

 $(document).on('submit', '#button_form', function(event){
  event.preventDefault();
  var label = $('#label').val();
  var url = $('#url').val();
  var categoria = $('#categoria').val();
  var extension = $('#icon_image').val().split('.').pop().toLowerCase();
  if(extension != '')
  {
   if(jQuery.inArray(extension, ['gif','png','jpg','jpeg','svg']) == -1)
   {
    alert("Invalid Image File");
    $('#icon_image').val('');
    return false;
   }
  } 
  if(label != '' && url != '' && categoria != '')
  {

   $.ajax({
    url:"buttonInsert.php",
    method:'POST',
    data:new FormData(this),
    contentType:false,
    processData:false,
    success:function(data)
    {
     alert(data);
     $('#button_form')[0].reset();
     $('#buttonModal').modal('hide');
     dataTable.ajax.reload();
    }
   });
  }
  else
  {
   alert("Both Fields are Required");
  }
 });

 var dataTable = $('#button_data').DataTable({
  "processing":true,
  "serverSide":true,
  "order":[],
  "ajax":{
   url:"buttonFetch.php",
   type:"POST"
  },
  "columnDefs":[
   {
    "targets":[0, 5, 6],
    "orderable":false,
   },
  ],

 });

 
 $(document).on('click', '.update', function(){
  var id_button = $(this).attr("id_button");
  $.ajax({
   url:"buttonFetch_single.php",
   method:"POST",
   data:{id_button:id_button},
   dataType:"json",
   success:function(data)
   {
    $('#buttonModal').modal('show');
    $('#label').val(data.label);
    $('#url').val(data.url);
    $('#tags').val(data.tags);
    $('.modal-title').text("Editar Botão");
    $('#id_button').val(id_button);
    $('#icon_uploaded_image').html(data.icon);
    $('#action').val("Edit");
    $('#operation').val("Edit");
   }
  })
 });






 
 $(document).on('click', '.delete', function(){
  var id_button = $(this).attr("id_button");
  if(confirm("Are you sure you want to delete this?"))
  {
   $.ajax({
    url:"buttonDelete.php",
    method:"POST",
    data:{id_button:id_button},
    success:function(data)
    {
     alert(data);
     dataTable.ajax.reload();
    },
    error: function (data) {
        alert(JSON.stringify(data));
    }
   });
  }
  else
  {
   return false; 
  }
 });
 
 
});
</script>